# -*- coding: utf-8; -*-
"""
Rattail Demo config extension
"""

from rattail.config import ConfigExtension


class DemoConfigExtension(ConfigExtension):
    """
    Rattail Demo config extension
    """
    key = 'rattail-demo'

    def configure(self, config):

        # tell rattail where our stuff lives
        config.setdefault('rattail', 'model', 'rattail_demo.db.model')
        config.setdefault('rattail.mail', 'emails', 'rattail_demo.emails')
        config.setdefault('tailbone', 'menus', 'rattail_demo.web.menus')

        # default import handlers
        config.setdefault('rattail.importing', 'versions.handler', 'rattail_demo.importing.versions:FromRattailDemoToRattailDemoVersions')
